DynamicImplementation (Java Platform SE 8 )
Keywords: org.omg.PortableServer.DynamicImplementation class
Date: 2016-12-09

org.omg.PortableServer

## Class DynamicImplementation

- java.lang.Object
- - org.omg.PortableServer.Servant
  - - org.omg.PortableServer.DynamicImplementation

-     public abstract class DynamicImplementation
      extends Servant

  Allows dynamic handling of object invocations. POA-based DSI servants inherit from the standard `DynamicImplementation` class, this class inherits from the `Servant` class. Based on IDL to Java spec. CORBA V 2.3.1 ptc/00-01-08.pdf.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicImplementation()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `invoke(ServerRequest request)` Receives requests issued to any CORBA object incarnated by the DSI servant and performs the processing necessary to execute the request.

    - ### Methods inherited from class org.omg.PortableServer.Servant

      `_all_interfaces, _default_POA, _get_delegate, _get_interface_def, _is_a, _non_existent, _object_id, _orb, _poa, _set_delegate, _this_object, _this_object`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicImplementation

          public DynamicImplementation()

  - ### Method Detail

    - #### invoke

          public abstract void invoke(ServerRequest request)

      Receives requests issued to any CORBA object incarnated by the DSI servant and performs the processing necessary to execute the request.
      Parameters:
        `request` - the request issued to the CORBA object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.